UPSPoint (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj.coords
Class UPSPoint

    java.lang.Object
      com.bbn.openmap.proj.coords.UPSPoint

    public class UPSPoint

extends java.lang.Object

Class UPSPoint.

This class encapsulates a UPS point.

UPS is known as (Universal Polar Stereographic).

UPS is a coordinate system of Earth's polar regions north of

84 degrees north, and south of 80 degrees south.

This class defaults to WGS-1984.

Author:
  Bob Hayes

Field Summary
`protected double` | `easting` Easting
`protected double` | `northing` Northing

Constructor Summary
`UPSPoint()` Constructor for the UPSPoint object
`UPSPoint(double easting, double northing)` Constructor for the UPSPoint object
`UPSPoint(LatLonPoint llpt)` Constructor for the UPSPoint object

Method Summary
`static UPSPoint` | `createUPSPoint(double lat, double lon)` Static method to create a UPSPoint object from lat/lon coordinates.
`double` | `getEasting()` Gets the easting attribute
`double` | `getNorthing()` Gets the easting attribute
`static void` | `main(java.lang.String[] args)` Tested against the NIMA calculator
`void` | `setEasting(double easting)` Sets the easting attribute
`void` | `setNorthing(double northing)` Sets the northing attribute
`LatLonPoint` | `toLatLonPoint(boolean southernHemisphere)` Convert a UPSPoint to a LatLonPoint
`java.lang.String` | `toString()` Description of the Method
`void` | `toUPS(double lat, double lon)` Converts a lat-lon pair to UPS point

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### easting

    protected double easting

  Easting

### northing

    protected double northing

  Northing

Constructor Detail

### UPSPoint

    public UPSPoint()

  Constructor for the UPSPoint object

### UPSPoint

    public UPSPoint(double easting,
                    double northing)

  Constructor for the UPSPoint object

  Parameters:
    `easting` - easting
    `northing` - northing

### UPSPoint

    public UPSPoint(LatLonPoint llpt)

  Constructor for the UPSPoint object

  Parameters:
    `llpt` - LatLonPoint

Method Detail

### createUPSPoint

    public static UPSPoint createUPSPoint(double lat,
                                          double lon)

  Static method to create a UPSPoint object from lat/lon coordinates. Method avoids conflict with (double, double) constructor.

  Parameters:
    `lat` - latitude in decimal degrees
    `lon` - longitude in decimal degrees

### toUPS

    public void toUPS(double lat,
                      double lon)

  Converts a lat-lon pair to UPS point

  Parameters:
    `lat` - latitude in decimal degrees
    `lon` - longitude in decimal degrees

### toLatLonPoint

    public LatLonPoint toLatLonPoint(boolean southernHemisphere)

  Convert a UPSPoint to a LatLonPoint

  Returns:
    returns a LatLonPoint

### setNorthing

    public void setNorthing(double northing)

  Sets the northing attribute

  Parameters:
    `northing` - The new northing value

### setEasting

    public void setEasting(double easting)

  Sets the easting attribute

  Parameters:
    `easting` - The new easting value

### getNorthing

    public double getNorthing()

  Gets the easting attribute

  Returns:
    The easting value

### getEasting

    public double getEasting()

  Gets the easting attribute

  Returns:
    The easting value

### toString

    public java.lang.String toString()

  Description of the Method

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    returns a string representation of the object

### main

    public static void main(java.lang.String[] args)

  Tested against the NIMA calculator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details